# UniTAP.dev.ports.modules.pdc.pdo_types

class PdoTypeEnum(enum.IntEnum):

Class `PdoTypeEnum` contains all possible variants of PDO types.

Fixed = <PdoTypeEnum.Fixed: 0>
Battery = <PdoTypeEnum.Battery: 1>
Variable = <PdoTypeEnum.Variable: 2>
Disabled = <PdoTypeEnum.Disabled: 3>
Mandatory = <PdoTypeEnum.Mandatory: 4>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PdoSide(enum.IntEnum):

Class `PdoTypeEnum` contains all possible variants of PDO side.

Sink = <PdoSide.Sink: 0>
Source = <PdoSide.Source: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PeakCurrent(enum.IntEnum):

Class `PdoTypeEnum` contains all possible variants of peak current for PDO.

Percent_100 = <PeakCurrent.Percent_100: 0>
Percent_110 = <PeakCurrent.Percent_110: 1>
Percent_125 = <PeakCurrent.Percent_125: 2>
Percent_150 = <PeakCurrent.Percent_150: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class FixedPdoSource:

Class `FixedPdoSource` contains information about Fixed PDO on Source side.

- Set and get maximum current `max_current`, type `int`.
- Set and get voltage `voltage`, type `int`.
- Set and get peak_current `peak_current`, type `PeakCurrent`.
- Set and get dual data role flag `dual_data_role`, type `bool`.
- Set and get usb communication flag `usb_communication`, type `bool`.
- Set and get unconstrained power flag `unconstrained_power`, type `bool`.
- Set and get higher capability flag `higher_capability`, type `bool`.
- Set and get dual power role flag `dual_power_role`, type `bool`.
- Get PDO type `pdo_type`, type `PdoTypeEnum`.

FixedPdoSource( pdo: UniTAP.dev.ports.modules.pdc.pdo_private_types.FixedPdoSourceStruct = <UniTAP.dev.ports.modules.pdc.pdo_private_types.FixedPdoSourceStruct object>, disable=False)
max_current: int

Returns maximum current.

###### Returns:

> object of `int` type

voltage: int

Returns voltage.

###### Returns:

> object of `int` type

peak_current: PeakCurrent

Returns peak current.

###### Returns:

> object of `PeakCurrent` type

dual_data_role: bool

Returns flag of dual data role.

###### Returns:

> object of `bool` type

usb_communication: bool

Returns flag of usb communication.

###### Returns:

> object of `bool` type

unconstrained_power: bool

Returns flag of unconstrained power.

###### Returns:

> object of `bool` type

higher_capability: bool

Returns flag of higher capability.

###### Returns:

> object of `bool` type

dual_power_role: bool

Returns flag of dual power role.

###### Returns:

> object of `bool` type

pdo_type: PdoTypeEnum

Returns flag of PDO type.

###### Returns:

> object of `PdoTypeEnum` type

class VariablePdo:

Class `VariablePdo` contains information about Fixed PDO on Sink and Source side.

- Set and get maximum current `max_current`, type `int`.
- Set and get minimum voltage `min_voltage`, type `int`.
- Set and get maximum voltage `max_voltage`, type `bool`.
- Get PDO type `pdo_type`, type `PdoTypeEnum`.

VariablePdo( pdo: UniTAP.dev.ports.modules.pdc.pdo_private_types.VariablePdoStruct = <UniTAP.dev.ports.modules.pdc.pdo_private_types.VariablePdoStruct object>)
max_current: int

Returns maximum current.

###### Returns:

> object of `int` type

min_voltage: int

Returns minimum voltage.

###### Returns:

> object of `int` type

max_voltage: int

Returns maximum voltage.

###### Returns:

> object of `int` type

pdo_type: PdoTypeEnum

Returns flag of PDO type.

###### Returns:

> object of `PdoTypeEnum` type

class BatteryPdo:

Class `BatteryPdo` contains information about Fixed PDO on Sink and Source side.

- Set and get maximum power `max_power`, type `int`.
- Set and get minimum voltage `min_voltage`, type `int`.
- Set and get maximum voltage `max_voltage`, type `bool`.
- Get PDO type `pdo_type`, type `PdoTypeEnum`.

BatteryPdo( pdo: UniTAP.dev.ports.modules.pdc.pdo_private_types.BatteryPdoStruct = <UniTAP.dev.ports.modules.pdc.pdo_private_types.BatteryPdoStruct object>)
max_power: int

Returns maximum power.

###### Returns:

> object of `int` type

min_voltage: int

Returns minimum voltage.

###### Returns:

> object of `int` type

max_voltage: int

Returns maximum voltage.

###### Returns:

> object of `int` type

pdo_type: PdoTypeEnum

Returns flag of PDO type.

###### Returns:

> object of `PdoTypeEnum` type

class FixedPdoSink:

Class `FixedPdoSink` contains information about Fixed PDO on Sink side.

- Set and get maximum current `max_current`, type `int`.
- Set and get voltage `voltage`, type `int`.
- Set and get dual data role flag `dual_data_role`, type `bool`.
- Set and get usb communication flag `usb_communication`, type `bool`.
- Set and get unconstrained power flag `unconstrained_power`, type `bool`.
- Set and get higher capability flag `higher_capability`, type `bool`.
- Set and get dual power role flag `dual_power_role`, type `bool`.
- Get PDO type `pdo_type`, type `PdoTypeEnum`.

FixedPdoSink( pdo: UniTAP.dev.ports.modules.pdc.pdo_private_types.FixedPdoSinkStruct = <UniTAP.dev.ports.modules.pdc.pdo_private_types.FixedPdoSinkStruct object>, disable=False)
oper_current: int

Returns operation current.

###### Returns:

> object of `int` type

voltage: int

Returns voltage.

###### Returns:

> object of `int` type

dual_data_role: bool

Returns flag of dual data role.

###### Returns:

> object of `bool` type

usb_communication: bool

Returns flag of usb communication.

###### Returns:

> object of `bool` type

unconstrained_power: bool

Returns flag of unconstrained power.

###### Returns:

> object of `bool` type

higher_capability: bool

Returns flag of higher capability.

###### Returns:

> object of `bool` type

dual_power_role: bool

Returns flag of dual power role.

###### Returns:

> object of `bool` type

pdo_type: PdoTypeEnum

Returns flag of PDO type.

###### Returns:

> object of `PdoTypeEnum` type